SF Rainbow
sf-rainbow
Chart: SF Rainbow
Parameters
| Name | Type | Description | Required |
|---|---|---|---|
start_date | string | Start date in YYYY-MM-DD format | No |
end_date | string | End date in YYYY-MM-DD format | No |
latest | bool | If true, returns the current value | No |
Output
| Index | Name | Type | Description |
|---|---|---|---|
| 0 | date | string | Date (ISO) |
| 1 | sf_price | string | SF price |
| 2 | closing_price | string | Closing price |
Example Request
https://charts.bitbo.io/api/v1/sf-rainbow/?start_date=2025-05-07&end_date=2025-05-09
Example Request with Latest
https://charts.bitbo.io/api/v1/sf-rainbow/?latest=true
Code Samples
- cURL
- Python
- JavaScript
- Go
curl "https://charts.bitbo.io/api/v1/sf-rainbow/?start_date=2025-05-07&end_date=2025-05-09&api_key=YOUR_API_KEY"
import requests
url = "https://charts.bitbo.io/api/v1/sf-rainbow/"
params = {
"start_date": "2025-05-07",
"end_date": "2025-05-09",
"api_key": "YOUR_API_KEY"
}
response = requests.get(url, params=params)
data = response.json()
print(data)
const url = "https://charts.bitbo.io/api/v1/sf-rainbow/";
const params = new URLSearchParams({
start_date: "2025-05-07",
end_date: "2025-05-09",
api_key: "YOUR_API_KEY"
});
const response = await fetch(`${url}?${params}`);
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://charts.bitbo.io/api/v1/sf-rainbow/?start_date=2025-05-07&end_date=2025-05-09&api_key=YOUR_API_KEY", nil)
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
Example Output
{
"data": [
[
"2025-05-07",
"224378.7795340000000",
112189.389767,
448757.559068,
56094.6948835,
897515.118136,
1795030.236272,
28047.34744175,
3590060.472544,
14023.673720875,
7180120.945088,
7011.8368604375,
"97151.387"
],
[
"2025-05-08",
"225217.2295780000000",
112608.614789,
450434.459156,
56304.3073945,
900868.918312,
1801737.836624,
28152.15369725,
3603475.673248,
14076.076848625,
7206951.346496,
7038.0384243125,
"103043.546"
],
[
"2025-05-09",
"226689.5384597500000",
113344.769229875,
453379.0769195,
56672.3846149375,
906758.153839,
1813516.307678,
28336.19230746875,
3627032.615356,
14168.096153734376,
7254065.230712,
7084.048076867188,
"102912.250"
]
]
}